# -D MUST pass in _version and _release, and SHOULD pass in dist.

Summary: Varnish Delivery Processor for parallel Edge Side Includes
Name: vdp-pesi-maxwait
Version: %{_version}
Release: %{_release}%{?dist}
License: BSD
Group: System Environment/Daemons
#URL: https://code.uplex.de/uplex-varnish/libvdp-pesi
Source0: %{name}-%{version}.tar.gz

# varnish from varnish66 at packagecloud
# Strictly require 6.6.0 by commit ID.
Requires: varnishd(abi)%{?_isa} == 88903a55c458c4d6a2ea893326e4a0e96cea9da8

BuildRequires: varnish-maxwait-devel == 6.6.0
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: gcc
BuildRequires: python-docutils >= 0.6

# git builds
#BuildRequires: automake
#BuildRequires: autoconf
#BuildRequires: autoconf-archive
#BuildRequires: libtool
#BuildRequires: python-docutils >= 0.6

Provides: vdp-maxwait-pesi, vdp-maxwait-pesi-debuginfo

%description
Varnish Delivery Processor that implements Edge Side Includes by
running ESI subrequests in parallel threads.

%prep
%setup -q -n %{name}-%{version}

%build

# if this were a git build
# ./autogen.sh

%configure VARNISHSRC=%{VARNISHSRC}

%{__make} %{?_smp_mflags}

%check

%{__make} %{?_smp_mflags} check

%install

%{__make} install DESTDIR=%{buildroot}

# Only use the version-specific docdir created by %doc below
rm -rf %{buildroot}%{_docdir}

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name '*.a' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%{_mandir}/man3/*.3*
%doc README.rst COPYING LICENSE

%post
/sbin/ldconfig

%changelog
* Fri May 21 2021 Geoff Simmons <geoff@uplex.de> - %{_version}-%{_release}
- Compatible with the maxwait feature (Varnish 6.6.0)

* Wed Apr 21 2021 Geoff Simmons <geoff@uplex.de> - 1.1.0-1
- Update for Varnish 6.6.0

* Wed Jan 27 2021 Geoff Simmons <geoff@uplex.de> - 1.0.0-1
- Update for Varnish 6.5.1

* Thu Apr 23 2020 Geoff Simmons <geoff@uplex.de> - 0.3.0-1
- Update for Varnish 6.3.2

* Thu Nov 07 2019 Geoff Simmons <geoff@uplex.de> - 0.2.7-1
- Bugfix: don't push gzip tail after ESI level 0 processing finishes

* Thu Nov 07 2019 Geoff Simmons <geoff@uplex.de> - 0.2.6-1
- Bugfix assertions for partially deliveded / unpended subtrees

* Thu Nov 07 2019 Geoff Simmons <geoff@uplex.de> - 0.2.5-1
- Bugfix handling of includes with empty responses

* Tue Nov 05 2019 Geoff Simmons <geoff@uplex.de> - 0.2.4-1
- Bugfixes: gunzip included response for a decompressed client response
- Fix invalid URLs in includes
- More rigrorous testing of the gzip-gunzip permutations.

* Wed Oct 23 2019 Geoff Simmons <geoff@uplex.de> - 0.2.3-1
- Bugfix racy assertions when a VDP in the stack failed.

* Wed Oct 23 2019 Geoff Simmons <geoff@uplex.de> - 0.2.2-1
- Bugfix order of VDP finalization at ESI level > 0, e.g. gzipped ESI
  include within an uncompressed response at level 0.

* Sun Sep 08 2019 Geoff Simmons <geoff@uplex.de> - 0.2.1-1
- Bugfix: no assertion when the VDP never runs, for example when the
  body is empty due to HEAD requests, status 204, etc.

* Sun Sep 08 2019 Geoff Simmons <geoff@uplex.de> - 0.2.0-1
  Require Varnish 6.2.1.

* Thu Aug 08 2019 Geoff Simmons <geoff@uplex.de> - 0.1.0-1
  Initial package version for compatibility with Varnish 6.2.0.
